Name:           tinyproxy
Version:        1.6.3
Release:        %mkrel 4
Epoch:          0
Summary:        Lightweight, non-caching, optionally anonymizing HTTP proxy
License:        GPL
URL:            http://tinyproxy.sourceforge.net/
Source0:        http://mesh.dl.sourceforge.net/sourceforge/tinyproxy/tinyproxy-%{version}.tar.gz
Source1:        %{name}.init
Patch0:         %{name}-makefile.patch
Group:          System/Servers
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:	webproxy
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
An anonymizing http proxy which is very light on system resources,
ideal for smaller networks and similar situations where other proxies
(such as Squid) may be overkill and/or a security risk. Tinyproxy can
also be configured to anonymize http requests (allowing for exceptions
on a per-header basis).

%prep
%setup -q
%patch0 -p1

%build
%{serverbuild}
%{_bindir}/autoreconf -i -v -f
%{configure2_5x} --enable-xtinyproxy \
                 --enable-filter \
                 --enable-tunnel \
                 --enable-upstream \
                 --with-config=%{_sysconfdir}/tinyproxy \
                 --with-stathost=localhost \
                 --program-prefix=""
%{make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/tinyproxy
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_initrddir}

%{makeinstall} bindir=%{buildroot}%{_sbindir}

%{__cp} -a doc/tinyproxy.conf %{buildroot}%{_sysconfdir}/tinyproxy/tinyproxy.conf
/bin/touch %{buildroot}%{_sysconfdir}/tinyproxy/filter

%{__cp} -a %{SOURCE1} %{buildroot}%{_initrddir}/tinyproxy
/bin/echo "FLAGS=\" -c /etc/tinyproxy/tinyproxy.conf\"" > %{buildroot}%{_sysconfdir}/sysconfig/tinyproxy

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service tinyproxy

%preun
%_preun_service tinyproxy

%files
%defattr(0644,root,root,0755)
%doc doc/{HTTP_ERROR_CODES,RFC_INFO,report.sh,tinyproxy.conf,filter-howto.txt}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%attr(0755,root,root) %{_sbindir}/tinyproxy
%{_mandir}/man8/tinyproxy.8*
%{_datadir}/tinyproxy
%attr(0755,root,root) %{_initrddir}/tinyproxy
%config(noreplace) %{_sysconfdir}/sysconfig/tinyproxy
%dir %{_sysconfdir}/tinyproxy
%config(noreplace) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%config(noreplace) %{_sysconfdir}/tinyproxy/filter


%changelog
* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.6.3-4mdv2008.1
+ Revision: 171232
- add a virtal provides of webproxy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-3mdv2008.0
+ Revision: 24020
- use %%mkrel
- add LSB support to initscript
- remove PreReq and use Requires() instead
- Import tinyproxy



* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 1.6.3-2mdk
- Fix build

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Dec 03 2003 Florin <florin@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.0a-1mdk
- 1.6.0a
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- add unpackaged files

* Wed Nov 20 2002 Florin <florin@mandrakesoft.com> 1.5.2-0.rc1.1mdk
- 1.5.2rc1
- add the --program-prefix="" configure option
- bzip2 the patch
- add the filter file/directory

* Fri Oct 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Wed Dec 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.3-1mdk
- First spec
